00-1 Disclaimer

Disclaimer

.
Warning
DO NOT USE THIS PRODUCT IN LIFE SUPPORT SYSTEMS.

LIFE SUPPORT POLICY

ZILOG’S PRODUCTS ARE NOT AUTHORIZED FOR USE AS CRITICAL COMPONENTS IN LIFE SUPPORT DEVICES OR SYSTEMS WITHOUT THE EXPRESS PRIOR WRITTEN APPROVAL OF THE PRESIDENT AND GENERAL COUNSEL OF ZILOG CORPORATION.

As used herein

Life support devices or systems are devices which (a) are intended for surgical implant into the body, or (b) support or sustain life and whose failure to perform when properly used in accordance with instructions for use provided in the labeling can be reasonably expected to result in a significant injury to the user. A critical component is any component in a life support device or system whose failure to perform can be reasonably expected to cause the failure of the life support device or system or to affect its safety or effectiveness.

Document Disclaimer

©2017 Zilog, Inc. All rights reserved. Information in this publication concerning the devices, applications, or technology described is intended to suggest possible uses and may be superseded. ZILOG, INC. DOES NOT ASSUME LIABILITY FOR OR PROVIDE A REPRESENTATION OF ACCURACY OF THE INFORMATION, DEVICES, OR TECHNOLOGY DESCRIBED IN THIS DOCUMENT. ZILOG ALSO DOES NOT ASSUME LIABILITY FOR INTELLECTUAL PROPERTY INFRINGEMENT RELATED IN ANY MANNER TO USE OF INFORMATION, DEVICES, OR TECHNOLOGY DESCRIBED HEREIN OR OTHERWISE. The information contained within this document has been verified according to the general principles of electrical and mechanical engineering.

S3 is a trademark or registered trademark of Zilog, Inc. All other product or service names are the property of their respective owners.


00-2 Revision History

Revision History

Each instance in the Revision History table below reflects a change to this document from the previous version.

Date | Rev | Desctiption
2017 Dec | 01 | Original Issue


01-1 Overview

Overview

Zilog’s S3F8S39/S3F8S35 Development Kit, part number S3F8S390100ZCOG, allows you to evaluate this microcontroller’s features to start your S3F8S39/S3F8S35-based design. The Kit includes an S3F8S39/S3F8S35 Development Board that contains the following components:
  • S3F8S39 MCU in a 32-pin SOP package
  • Four LEDs
  • Two push-buttons
  • Test points for MCU pins
  • UART1 header
  • S3 PGM interface connector

This user manual provides instructions for setting up and configuring the S3F8S39/S3F8S35 Development Board. It includes the Schematic Diagrams and a discussion of the Board and ZDS II features.

The S3F8S39/S3F8S35 Development Board can be connected to a host PC running ZDS II through the S3 PGM interface connector using the S3 Flash In-System Programmer II (ISP II). To learn more about the S3F8S39/S3F8S35 MCU, refer to the S3F8S39/S3F8S35 Product Specification (PS0314) and/or the S3 Flash In-System Programmer (UM0266).

This document guides you through the following tasks:

  • Downloading and installing ZDS II software and documentation
  • Connecting the S3 Flash ISP II and S3F8S39/S3F8S35 Development Board to your PC
  • Starting the S3F8S39/S3F8S35 Ledblink sample program


01-2 Kit Contents

Kit Contents
The S3F8S39/S3F8S35 Development Kit contains the following items:

Item | Description | Quantity
1 | S3F8S39 Development Board | 1
2 | S3 Flash ISP II | 1
3 | 10-circuit ribbon cable | 1
4 | USB A (male) to Mini B USB cable | 2
5 | S3F8S39/S3F8S35 Development Kit hardcopy insert | 1

S3F8S39/S3F8S35 Development Kit


01-3 Features

Features

The S3F8S39/S3F8S35 Development Kit includes the following key items:
  • S3F8S39 Development Board, with the following components:
  • S3F8S39 MCU in a 32-pin SOP package, operating at 12 MHz, U1
  • Four LEDs, LED1, LED2, LED3, LED4
  • Two push-buttons, SW1-SW2
  • Test points for all MCU pins, J2 and J3
  • UART1 header, J6
  • S3 PGM interface connectors, J4 and J5
  • S3 Flash In-System Programmer II
  • ZDS II Software and Documentation available free for download
  • Sample programs


02-1 Install the Z8051 OCD Software and Documentation

Install the ZDS II-S3 Software and Documentation

Note: If you have already installed the ZDS II-S3 Software and Documentation v5.4.0 or later Zilog website under Tools and Software > Software Downloads page following the procedure on the paper insert in your kit (FL0190), skip ahead to the next section.

  1. Prior to connecting the S3F8S39/S3F8S35 Development Board to your development PC, download ZDS II -S3 version 5.4.0 (or later) from the Software Downloads page on zilog.com
  2. When the download is complete, unzip the file to your hard drive. Double-click the installation file named ZDS II – S3_<version>.exe, and follow the on-screen instructions.


03-1 Establich Connection with the Host PC

Establish Connection with the Host PC

Use the following procedure to connect the S3 Flash ISP II and S3F8S39/S3F8S35 Development Board to your PC.

  1. Connect the Mini-B side of the USB A (male)-to-Mini-B cable to the S3 Flash ISP II. Connect the other end of this cable to the host PC, as shown below on the right.
  2. Connect the 10p 5x2 ribbon cable to the S3 Flash ISP II, as shown above on the left.
  3. Connect the other end of the ribbon cable to male headers J4 adn J5 on the Development Board. Ensure that Pin 1 on the ribbon cable is aligned with Pin 1 of the connector on the board.
.
Caution
When connecting the 10-pin ribbon cable, be sure to use the correct orientation to prevent damage to the S3 Flash ISP II.


04_1 Start the Ledblink Sample Program

Start the Ledblink Sample Program

 The downloaded ZDS II contains sample programs that can be used to get familiar with the new MCU and development tools. Start by downloading the project called ledblink.asm using the following procedure:

  1. Launch ZDS II by navigating from the Windows Start menu to Programs → Zilog ZDS II – S3 <Version> → ZDS II – S3 <Version>.
  2. From the File menu in ZDS II, select Open Project as shown below, and navigate to the following filepath:
<ZDS Install>\samples\S3F8S39\ledblink_asm

  3. Select the ledblink.zdsproj project from within the ledblink_asm folder as indicated in S3F8S39 and click Open. A list of source files will appear in the Workspace panel.
  4. From the Build menu, select Set Active Configuration to open the Select Configuration dialog box.
  5. Select Debug, then click OK to close the Select Configuration dialog box.
  6. From the Project menu in ZDS II, select Settings to open the Project Settings dialog box. In the Project Settings dialog box, click the Debugger tab.
  7. On the Debugger page, select S3F8S3X_FlashIspII from the Target list, then select S3FlashIspII from the Debug Tool drop-down menu, as indicated below.

  8. After selecting S3FlashIspII from the Debug Tool drop-down menu, click Setup to select the Serial Number of the S3 Flash ISP II you are using.
Note: The serial number you see on your screen will be different from the serial number shown below:

  9. Click OK to close the Setup USB Communication dialog box.
  10. Ensure that the Include Enhanced ISP Debug Library is selected.
  11. Click OK to close the Project Settings dialog box.
  12. If you are prompted to rebuild any affected files, click Yes. Otherwise, choose Build from the menu bar, then click Rebuild All. The following example message is displayed.
SPACE ALLOCATION:
=================

Space                     Base         Top      Size      Used    Unused
------------------ ----------- ----------- --------- --------- ---------
PAGE0                     P:00        P:05       C0H        6H       BAH
                                          (      192         6       186)
ROM                     C:0000      C:0A36     8000H      965H     769BH
                                          (    32768      2405     30363)

OUTPUT CHECKSUM
===============
ledblink.hex         80F1
ledblink.lod         80F1

0 warning(s)
0 error(s)
Build succeeded.

Note: This Output Checksum message is an example and may not match the actual checksum of the project for a particular release of the ZDS installation software.
  13. To run the application, click on the Toolbar Reset+Go icon ( [image] ). As a result, LEDs LED2, LED3 and LED4 will start blinking in sequence:

Troubleshooting Tips

The following troubleshooting tips are useful when the start of the S3F8S39 Ledblink sample program is not successful:
  • Ensure that you have selected the proper ISP:
Navigate to Project → Settings → Debugger → Debug Tool → Setup. Upon clicking Setup on the Setup USB Communication dialog box, verify that S3FlashIspII is displayed.
  • Reconnect the ISP II on the USB port of your PC.


04-2_ISP_BL_DemoSampleProgram

ISP BL Demo Sample Program

 This program shows the ISP BL Demo sample program on the S3F8S39/S3F8S35 Development board.. .
Launch ZDS II by navigating from the Windows Start menu to Programs → Zilog ZDS II – S3 <Version> → ZDS II – S3 <Version>.
  1. From the File menu in ZDS II, select Open Project as shown below, and navigate to the following filepath:
<ZDS Install>\samples\S3F8S39\ISP_BL_Demo
  3. Select the S39_LED_Blink.zdsproj project from within the ISP_BL_Demo folder and click Open. A list of source files will appear in the Workspace panel.
  4. From the Build menu, select Set Active Configuration to open the Select Configuration dialog box.
  5. Select Debug, then click OK to close the Select Configuration dialog box.
  6. From the Project menu in ZDS II, select Settings to open the Project Settings dialog box. In the Project Settings dialog box, click the Debugger tab.
  7. On the Debugger page, select S3F8S3X_FlashIspII from the Target list, then select S3FlashIspII from the Debug Tool drop-down menu, as indicated below.

  8. After selecting S3FlashIspII from the Debug Tool drop-down menu, click Setup to select the Serial Number of the S3 Flash ISP II you are using.
Note: The serial number you see on your screen will be different from the serial number shown below:

  9. Click OK to close the Setup USB Communication dialog box.
  10. Ensure that the Include Enhanced ISP Debug Library is selected.
  11. Click OK to close the Project Settings dialog box.
  12. If you are prompted to rebuild any affected files, click Yes. Otherwise, choose Build from the menu bar, then click Rebuild All. The following example message is displayed.
SPACE ALLOCATION:
=================

Space                     Base         Top      Size      Used    Unused
------------------ ----------- ----------- --------- --------- ---------
ROM                     C:003C      C:0C5E     8000H      AF3H     750DH
                                          (    32768      2803     29965)

OUTPUT CHECKSUM
===============
S39_LED_Blink.hex    36CF
S39_LED_Blink.lod    36CF

0 warning(s)
0 error(s)
Build succeeded.

Note: This Output Checksum message is an example and may not match the actual checksum of the project for a particular release of the ZDS installation software.
  13. To run the application, click on the Toolbar Reset+Go icon ( [image] ). The LEDs, LED2, LED3 and LED4 will blink in sequence but will not be noticeable due to high speed.
  14. Below are the steps to activate the Bootloader using the Terminal application software in standalone mode.

To activate the Bootloader in Standalone mode:
  1. After performing the above procedure click on the Stop Debugging icon [image].
  2. Run your Terminal Application software using the following settings:
  • Device Manager > Ports (COM & LPT) > S3 Console (COMX). Where X is the assigned number for the S3 Flash ISP II
  • Serial Port: COMX, 375000, 8,N,1,N
  3. Apply an external power : +5VDC to J6-1 and GND to J6-6.
  4. You should see the Starting application" message on the Terminal Application window:

  5. To force the boot Loader menu to appear after POR, press and hold the ‘z’ key in the PC terminal window while resetting the target S3 device using SW1/Reset. Once ‘z’ characters are displayed in the PC terminal program, release the ‘z’ key and the Boot Loader menu will appear.

  6. Please refer to the ZDS-S3 Online Help topic S3 Boot Loader Menu Options section for information on using the Boot Loader menu.


05-1 Development Board

S3F8S39/S3F8S35 Development Board

The purpose of the S3F8S39/S3F8S35 Development Kit is to provide a set of hardware and software tools for the development of hardware and firmware for applications based on the S3F8S39/S3F8S35 microcontroller. The S3F8S39 Development Board is shown below. Click here to view the Schematic Diargrams.

Board Description

The S3F8S39 Development Board consists of the following components:
  • S3F8S39: U1, 32-pin SOP chip
  • 4 LEDs: LED1/Power, LED2-LED4/Display or Port LED.
  • Two pushbuttons: SW1 for Reset and SW2 for P2-0
  • Test points/headers for MCU pins: J2 and J3
  • UART1 header J6
  • S3 PGM interface connector J4 and J5

SW1 Reset Circuit

The reset circuit for the S3F8S39 device consists of 0.22uF capacitor C5, and a 49.9K Ohms pull-up resistor R4, Each time power is applied to the board, the device is reset.

SW2 P2-0 Circuit

P2-0 is connected via a 49.9K Ohms pull-up resistor to VCC_5V. When pushed it connect P2-0 to GND.

S3 PGM Connector

The S3 PGM connectors (J4 & J5) provides an interface between the S3 Flash ISP II and the S3F8S39 device.

Board Dimension

The physical dimensions of the Board are 7cm x 2.5cm.

Board Jumpers/Headers


06-1 Flash Loader Utility

Flash Loader Utility

The Flash Loader utility, available via the Tools menu, is a feature of ZDS II that provides users with greater flexibility to download hex files into devices. Figure below shows the Flash Loader window.

Refer to the Zilog Developer Studio II Help > Using the Integrated Development Environment > Menu Bar > Tools Menu > Flash Loader topic for additional information.


07-1 Sample Projects and Documentation

Sample Projects and Documentation

Table below contains the sample projects developed for this kit. Follow the filepath listed in the Location column to access the associated project.

Project | Location
ledblink | samples\S3F8S39\ledblink_asm
ledblink | samples\S3F8S39\ledblink_c
S39_LED_Blink | samples\S3F8S39\ISP_BL_Demo
printf_demo | samples\S3F8S39\printf_demo

The documents associated with the S3F8S39/S34F8S35 Development Kit are listed below.

Description | Document | Location
S3F8S39/S3F8S35 Product Specification | PS0314 | Documentation\Chip_Documentation
S3F8S39/S3F8S35 Development Kit User Manual | UM0290.chm | Documentation\Tools_Documentation
ZDS II-S3 IDE Online Help | Online Help | ZDSII-S3 > Help > Help Topics
S3 Flash In-System Programmer User Manual | UM0266 | Documentation\Tools_Documentation
S3F8S39/S3F8S35 Development Kit insert | FL0192 | Documentation\Tools_Documentation
S3 Flash In-System Programmer insert | FL0165 | Documentation\Tools_Documentation


08-1 Schematic Diagrams

Schematics


09-1 Customer Support

Customer Support

To share comments, get your technical questions answered, or report issues you may be experiencing with our products, please visit Zilog’s Technical Support page at http://support.zilog.com.

To learn more about this product, find additional documentation, or to discover other facets about Zilog product offerings, please visit the Zilog Knowledge Base or consider participating in the Zilog Forum.

This publication is subject to replacement by a later edition. To determine whether a later edition exists, please visit the Zilog website at http://www.zilog.com